<?php
/**
 * Zebrum Lite
 *
 * ЛИЦЕНЗИЯ
 *
 * Этот исходный файл является предметом лицензии, которая включена в данный
 * пакет в файле LICENSE.txt.
 * Она так же доступна через всемирную сеть Интернет по этому URL:
 * http://www.zebrum.ru/license.html
 *
 * @category   zebrum
 * @package    zengine
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 * @version    $Id: asis.php 71 2008-08-05 17:56:52Z lks $
 */

/** zfilter */
require_once 'zengine/classes/zfilter.php';

/**
 * Реализация интерфейса фильтра. Возвращает текст как есть, считая, что
 * страница содержит корректный XHTML код.
 *
 * @package    zengine
 * @subpackage zfilter
 * @copyright  Copyright (c) 2008 Zebrum.ru
 * @license    http://www.zebrum.ru/license.txt
 */
class zfilter_asis implements zfilter {
    /**
     * Возвращаем текст как есть
     *
     * @param string $text
     * @return string
     */
    public function filter ($text)
    {
        return $text;
    }
}
